/*
   base/spectator.h
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#ifndef __INCLUDED_EXAMPLE_SPECTATOR_H__
#define __INCLUDED_EXAMPLE_SPECTATOR_H__

#include "core/entity.h"
#include "core/cvar.h"

namespace example
{

/// A spectator entity
class Spectator : public core::EntityControlable
{
public:
	Spectator(core::Player *owner);
	~Spectator();

	/// update the ship state
	virtual void frame(float elapsed);

	static core::Cvar *g_spectatorspeed;
	static core::Cvar *g_spectatorrotation;
};

}

#endif // __INCLUDED_EXAMPLE_SPECTATOR_H__

