/*
   client/action.h
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#include "client/action.h"

namespace client
{

Action::Action(const char *name, Identifier action, const char *info)
{
	action_name.assign(name);
	action_id = action;

	set_info(info);
}

Action::~Action()
{
}

void Action::set_info(const char *info)
{
	if (info)
		action_info.assign(info);
	else
		action_info.clear();
}
}
